{{ define "main" }}
<div class="td-content">
	<h1>{{ .Title }}</h1>
        {{ with .Params.description }}<div class="lead">{{ . | markdownify }}</div>{{ end }}
	{{ if (and (not .Params.hide_readingtime) (.Site.Params.ui.readingtime.enable)) }}
            {{ partial "reading-time.html" . }}
        {{ end }}

{{/*
`types` is a list: Types can be `int`, `bool`, `string`, `double`, or a
special type. We assume there is an entry for the type in the `_attr_types/`
collection.

`defaults` is a list: gives a description of the default values of the
attribute.

`minimums` is a list: gives a description of the minimum values of the
attribute. It can contain arbitrary text.

`flags`, if present, is a list of:
  
- `bitmap` `cmap` `map` `postscript` `svg` - attribute limited to specified output formats
- `dot` `neato` `twopi` `circo` `fdp` `sfdp` - attribute limited to specified layouts
- `notdot` - attribute use in all layouts but dot
- `write` - attribute is write-only

In the summary table, attributes are anchored with `#a:<name>`.
In the description list, attributes are anchored with `#d:<name>`.
The attributes are alphabetized on output.
*/}}

{{ .Content }}

<TABLE>
<TR>
  <TH>Name</TH>
  <TH><A HREF="#h:uses">Used By</A></TH>
  <TH>Type</TH>
  <TH>Default</TH>
  <TH>Minimum</TH>
  <TH>Description, notes</TH>
</TR>
{{ range $attr := .Page.Pages }}
<TR>
  <TD><A ID="a:{{ .Title }}" HREF="{{ .RelPermalink }}"><code>{{ .Title }}</code></A></TD>
  <TD>
    {{- range $i, $c := (split .Params.used_by "") -}}
      {{- if $i -}}, {{ end -}}
      {{- partial "expand_graph_component" $c -}}
    {{- end -}}
  </TD>
  <TD>
  {{- range $i, $type := .Params.types -}}
    {{- if $i -}}, {{ end -}}
    <A HREF="/docs/attr-types/{{$type}}/">{{$type}}</A>
  {{- end -}}
  </TD>
  <TD>
  {{- range $i, $d := .Params.defaults -}}
    {{- if $i -}}<BR>{{- end -}}
    {{- if reflect.IsMap $d -}}
    <code>{{ $d.default }}</code> {{$d.for}} {{$d.suffix}}
    {{- else -}}
    <code>{{ $d }}</code>
    {{- end -}}
  {{- end -}}
  </TD>
  <TD>
  {{- range $i, $minimum := .Params.minimums -}}
    {{- if $i -}}<BR>{{- end -}}
    <code>{{ $minimum }}</code>
  {{- end -}}
  </TD>
  <TD>
  {{ with .Params.description }}{{ . | markdownify }}. {{ end }}
  {{ partial "flags" .Params.flags}}
  </TD>
</TR>
{{ end }}
</TABLE>

{{ range $attr := .Page.Pages }}
<H3 ID="d:{{.Title}}">
  <A HREF="#a:{{.Title}}">{{ .Title }}</A>
</H3>

{{ .Render "content" }}

{{ end }}

	{{ if (and (not .Params.hide_feedback) (.Site.Params.ui.feedback.enable) (.Site.GoogleAnalytics)) }}
		{{ partial "feedback.html" .Site.Params.ui.feedback }}
		<br />
	{{ end }}
	{{ if (.Site.DisqusShortname) }}
		<br />
		{{ partial "disqus-comment.html" . }}
	{{ end }}
	{{ partial "page-meta-lastmod.html" . }}
</div>
{{ end }}
